## obs-command-source 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(obs-command-source VERSION 0.4.0)

set(PLUGIN_AUTHOR "Norihiro Kamae")

set(MACOS_BUNDLEID "net.nagater.obs-command-source")
set(MACOS_PACKAGE_UUID "DE99133F-7DE7-4A40-BAD9-814A519F32C3")
set(MACOS_INSTALLER_UUID "D42A28A8-FCE7-45F4-901B-5F333C2ABC94")

set(LINUX_MAINTAINER_EMAIL "norihiro@nagater.net")
# NOTE: Also edit ci/plugin.spec for RPM when creating a new plugin.

find_package(libobs REQUIRED)
find_package(obs-frontend-api REQUIRED)
include(cmake/ObsPluginHelpers.cmake)

configure_file(
	plugin-macros.h.in
	plugin-macros.generated.h
)

configure_file(
	installer/installer-Windows.iss.in
	../installer/installer-Windows.generated.iss
)

configure_file(
	ci/ci_includes.sh.in
	../ci/ci_includes.generated.sh
)
configure_file(
	ci/ci_includes.cmd.in
	../ci/ci_includes.generated.cmd
)

set(PLUGIN_SOURCES
	obs-command-source.c
)

add_library(${CMAKE_PROJECT_NAME} MODULE ${PLUGIN_SOURCES})

target_link_libraries(${CMAKE_PROJECT_NAME}
	OBS::libobs
	OBS::obs-frontend-api
)

target_include_directories(${CMAKE_PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

if(OS_WINDOWS)
	# Enable Multicore Builds and disable FH4 (to not depend on VCRUNTIME140_1.DLL when building with VS2019)
	if (MSVC)
		add_definitions(/MP /d2FH4-)
	endif()

	target_link_libraries(${CMAKE_PROJECT_NAME} OBS::w32-pthreads)
endif()

if(OS_LINUX)
	target_compile_options(${CMAKE_PROJECT_NAME} PRIVATE -Wall -Wextra)
endif()

if(APPLE)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++ -fvisibility=default")

	set_target_properties(${CMAKE_PROJECT_NAME} PROPERTIES PREFIX "")
	set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
	set(MACOSX_PLUGIN_BUNDLE_VERSION "${CMAKE_PROJECT_VERSION}")
	set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
endif()

setup_plugin_target(${CMAKE_PROJECT_NAME})

configure_file(installer/installer-macOS.pkgproj.in installer-macOS.generated.pkgproj)

=== debian/changelog ===
obs-command-source (0.4.0-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:30 +1100

obs-command-source (0.4.0-4build1) noble; urgency=high

  * No change rebuild against libobs0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:56 +0100

obs-command-source (0.4.0-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow (<= 1.5.2-3), no longer in Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 12 Jun 2023 17:08:38 -0300

obs-command-source (0.4.0-3) experimental; urgency=medium

  * debian/upstream/metadata: fixed Repository field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 18 Mar 2023 14:21:40 -0300

obs-command-source (0.4.0-2) experimental; urgency=medium

  * debian/copyright: updated upstream licensing for two files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Mar 2023 17:56:49 -0300

obs-command-source (0.4.0-1) experimental; urgency=medium

  * New upstream version 0.4.0. (Closes: #1032157)
  * debian/patches/:
      - 010_change-project-name.patch: updated to be compliant with new
        upstream version.
      - Removed the following patches because they were taken from upstream's
        repository and they are present in 0.4.0 version:
          ~ 020_fix-rpath.patch
          ~ 030_fix-spec.patch

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 14 Mar 2023 22:12:28 -0300

obs-command-source (0.3.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1031723)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 10:23:33 -0300

=== debian/control ===
Source: obs-command-source
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/dummy-source-to-execute-command.952/
Vcs-Browser: https://salsa.debian.org/debian/obs-command-source
Vcs-Git: https://salsa.debian.org/debian/obs-command-source.git

Package: obs-command-source
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio providing a dummy source to execute commands
 This plugin provides a dummy source to execute arbitrary commands when a scene
 is switched.
 .
 Current features:
 .
   Start a command at the following events:
     * Show (the source is shown in either preview or program).
     * Hide (the source is hidden so that no longer shown in neither preview
       nor program).
     * Activate (the source goes to the program).
     * Deactivate (the source goes from the program).
     * Show in preview (the source goes to the preview).
     * Hide from preview (the source goes from the preview).
 .
   Optionally, kill the created process at these conditions (this feature is
   not available for Windows as of now):
     * When hiding, kill the process created at shown.
     * When deactivating, kill the process created at activated.
     * When hiding from the preview, kill the process created at preview.
 .
 Possible usage:
   * Implementing custom tally lights.
   * Controlling PTZ cameras by switching the scene. Ii is possible to combine
     with CURL to send some commands.
   * Start and stop a daemon program required for the scene.
   * Trigger other operations through websocket at the event. A helper script
     is available for this (request-websocket.py).
   * Start or stop a streaming and recording.
   * Open a full screen video.
   * Open a calculator to teach about finances when switching a scene.
   * Other actions.
 .
 Caution: since this plugin executes arbitrary commands, users need to consider
 security concerns. For example, when combining with obs-websocket plugin, a
 remote user could change property through the websocket interface so that the
 arbitrary commands can be executed.

=== debian/watch ===
version=4
https://github.com/norihiro/obs-command-source/tags archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-command-source 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 
-project(obs-command-source VERSION 0.4.0)
+project(obs-command-source VERSION 0.5.0)
 
 set(PLUGIN_AUTHOR "Norihiro Kamae")
 
@@ -22,16 +22,16 @@
 
 configure_file(
 	installer/installer-Windows.iss.in
-	../installer/installer-Windows.generated.iss
+	installer-Windows.generated.iss
 )
 
 configure_file(
 	ci/ci_includes.sh.in
-	../ci/ci_includes.generated.sh
+	ci/ci_includes.generated.sh
 )
 configure_file(
 	ci/ci_includes.cmd.in
-	../ci/ci_includes.generated.cmd
+	ci/ci_includes.generated.cmd
 )
 
 set(PLUGIN_SOURCES

=== debian/changelog ===
obs-command-source (0.5.0-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 23 Jan 2026 14:04:14 -0300

obs-command-source (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0.
  * debian/copyright:
      - The upstream changed the licensing for the all project to GPL-2+ only.
      - Updated upstream and packaging copyright years.
  * debian/patches/010_change-project-name.patch: updated to be compliant with
    the new upstream version.
  * debian/watch: added uversionmangle to fix release candidate versions on
    upstream side.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 10 May 2024 20:48:39 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,8 @@
 Source: obs-command-source
 Section: video
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/dummy-source-to-execute-command.952/
 Vcs-Browser: https://salsa.debian.org/debian/obs-command-source
 Vcs-Git: https://salsa.debian.org/debian/obs-command-source.git

=== debian/watch ===
Version: 5

Template: Github
Owner: norihiro
Project: obs-command-source
Uversionmangle: s/-rc/~rc/
